Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Q3CanvasText Class Reference

The Q3CanvasText class provides a text object on a Q3Canvas. More...

    #include <Q3CanvasText>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Inherits Q3CanvasItem.

- List of all members, including inherited members

### Public Functions

- Q3CanvasText ( Q3Canvas * canvas )
- Q3CanvasText ( const QString & t, Q3Canvas * canvas )
- Q3CanvasText ( const QString & t, QFont f, Q3Canvas * canvas )
- virtual ~Q3CanvasText ()
- virtual QRect boundingRect () const
- QColor color () const
- QFont font () const
- virtual int rtti () const
- void setColor ( const QColor & c )
- void setFont ( const QFont & f )
- void setText ( const QString & t )
- void setTextFlags ( int f )
- QString text () const
- int textFlags () const

- 34 public functions inherited from Q3CanvasItem

### Protected Functions

- virtual void draw ( QPainter & painter )

- 1 protected function inherited from Q3CanvasItem

## Detailed Description

The Q3CanvasText class provides a text object on a Q3Canvas.

A canvas text item has text with font, color and alignment attributes. The text and font can be set in the constructor or set or changed later with setText() and setFont(). The color is set with setColor() and the alignment with setTextFlags(). The text item's bounding rectangle is retrieved with boundingRect().

The text can be drawn on a painter with draw().

Like any other canvas item text items can be moved with Q3CanvasItem::move() and Q3CanvasItem::moveBy(), or by setting coordinates with Q3CanvasItem::setX(), Q3CanvasItem::setY() and Q3CanvasItem::setZ().

## Member Function Documentation

### Q3CanvasText::Q3CanvasText ( Q3Canvas * canvas )

Constructs a Q3CanvasText with the text "<text>", on canvas.

### Q3CanvasText::Q3CanvasText ( const QString & t, Q3Canvas * canvas )

Constructs a Q3CanvasText with the text t, on canvas canvas.

### Q3CanvasText::Q3CanvasText ( const QString & t, QFont f, Q3Canvas * canvas )

Constructs a Q3CanvasText with the text t and font f, on the canvas canvas.

### Q3CanvasText::~Q3CanvasText () `[virtual]`

Destroys the canvas text item.

### QRect Q3CanvasText::boundingRect () const `[virtual]`

Returns the bounding rectangle of the text.

Reimplemented from Q3CanvasItem.

### QColor Q3CanvasText::color () const

Returns the color of the text.

See also setColor().

### void Q3CanvasText::draw ( QPainter & painter ) `[virtual protected]`

Draws the text using the painter painter.

Reimplemented from Q3CanvasItem.

### QFont Q3CanvasText::font () const

Returns the font in which the text is drawn.

See also setFont().

### int Q3CanvasText::rtti () const `[virtual]`

Returns 3 (Q3CanvasItem::Rtti_Text).

Reimplemented from Q3CanvasItem.

See also Q3CanvasItem::rtti().

### void Q3CanvasText::setColor ( const QColor & c )

Sets the color of the text to the color c.

See also color() and setFont().

### void Q3CanvasText::setFont ( const QFont & f )

Sets the font in which the text is drawn to font f.

See also font().

### void Q3CanvasText::setText ( const QString & t )

Sets the text item's text to t. The text may contain newlines.

See also text(), setFont(), setColor(), and setTextFlags().

### void Q3CanvasText::setTextFlags ( int f )

Sets the alignment flags to f. These are a bitwise OR of the flags available to QPainter::drawText() -- see the Qt::AlignmentFlags.

See also setFont() and setColor().

### QString Q3CanvasText::text () const

Returns the text item's text.

See also setText().

### int Q3CanvasText::textFlags () const

Returns the currently set alignment flags.

See also setTextFlags() and Qt::AlignmentFlags.